## groovy.util.slurpersupport
Class Attributes

author:
  John Wilson

Field Summary
`String` | `attributeName`

Constructor Summary
`Attributes(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)`
`Attributes(GPathResult parent, String name, Map namespaceTagHints)`

Method Summary
`void` | `build(GroovyObject builder)`
`Iterator` | `childNodes()`
`GPathResult` | `findAll(Closure closure)`
`Iterator` | `iterator()`
`List` | `list()`
`String` | `name()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Constructor Detail

### Attributes

    public Attributes(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)

### Attributes

    public Attributes(GPathResult parent, String name, Map namespaceTagHints)

Method Detail

### build

    public void build(GroovyObject builder)

### childNodes

    public Iterator childNodes()

### findAll

    public GPathResult findAll(Closure closure)

### iterator

    public Iterator iterator()

### list

    public List list()

### name

    public String name()

### nodeIterator

    public Iterator nodeIterator()

### parents

    public GPathResult parents()

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)